petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSForwardSetSensitivities

Sets the initial value of the trajectory sensitivities of solution w.r.t. the problem parameters and initial values.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSForwardSetSensitivities(TS ts,PetscInt nump,Mat Smat)

Logically Collective on TS and Vec

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| nump | - number of parameters
| Smat | - sensitivities with respect to the parameters, the number of entries in these vectors is the same as the number of parameters

### Notes

Forward sensitivity is also called 'trajectory sensitivity' in some fields such as power systems. This function turns on a flag to trigger TSSolve() to compute forward sensitivities automatically. You must call this function before TSSolve(). The entries in the sensitivity matrix must be correctly initialized with the values S = dy/dp|startingtime.

### Keywords

TS, timestep, set, forward sensitivity, initial values

### See Also

TSForwardGetSensitivities(), TSForwardSetIntegralGradients(), TSForwardGetIntegralGradients(), TSForwardStep()

### Level

beginner

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages